SplittingBreakIterator (Lucene 10.5.0 highlighter API)
Description: declaration: package: org.apache.lucene.search.uhighlight, class: SplittingBreakIterator

Package org.apache.lucene.search.uhighlight

# Class SplittingBreakIterator

java.lang.Object
java.text.BreakIterator
org.apache.lucene.search.uhighlight.SplittingBreakIterator

All Implemented Interfaces:
  `Cloneable`

public class SplittingBreakIterator extends BreakIterator
Virtually slices the text on both sides of every occurrence of the specified character. If the slice is 0-length which happens for adjacent slice characters or when they are at the beginning or end, that character is reported as a boundary. For every slice between the specified characters, it is further processed with a specified BreakIterator. A consequence is that the enclosed BreakIterator will never "see" the splitting character.
Note: `setText(CharacterIterator)` is unsupported. Use the string version.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class java.text.BreakIterator

  `DONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplittingBreakIterator(BreakIterator baseIter, char sliceChar)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `current()`
  `int`
  `first()`
  `int`
  `following(int offset)`
  `CharacterIterator`
  `getText()`
  `int`
  `last()`
  `int`
  `next()`
  `int`
  `next(int n)`
  `int`
  `preceding(int offset)`
  `int`
  `previous()`
  `void`
  `setText(String newText)`
  `void`
  `setText(CharacterIterator newText)`

  ### Methods inherited from class java.text.BreakIterator

  `clone, getAvailableLocales, getCharacterInstance, getCharacterInstance, getLineInstance, getLineInstance, getSentenceInstance, getSentenceInstance, getWordInstance, getWordInstance, isBoundary`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SplittingBreakIterator

    public SplittingBreakIterator(BreakIterator baseIter, char sliceChar)

- ## Method Details

  - ### setText

    public void setText(CharacterIterator newText)
    Specified by:
      `setText` in class `BreakIterator`

  - ### setText

    public void setText(String newText)
    Overrides:
      `setText` in class `BreakIterator`

  - ### getText

    public CharacterIterator getText()
    Specified by:
      `getText` in class `BreakIterator`

  - ### current

    public int current()
    Specified by:
      `current` in class `BreakIterator`

  - ### first

    public int first()
    Specified by:
      `first` in class `BreakIterator`

  - ### last

    public int last()
    Specified by:
      `last` in class `BreakIterator`

  - ### next

    public int next()
    Specified by:
      `next` in class `BreakIterator`

  - ### previous

    public int previous()
    Specified by:
      `previous` in class `BreakIterator`

  - ### following

    public int following(int offset)
    Specified by:
      `following` in class `BreakIterator`

  - ### preceding

    public int preceding(int offset)
    Overrides:
      `preceding` in class `BreakIterator`

  - ### next

    public int next(int n)
    Specified by:
      `next` in class `BreakIterator`